CloningBossEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.CloningBossEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class CloningBossEJBImpl

    java.lang.Object
      org.hyperic.hq.appdef.server.session.AppdefSessionUtil
          org.hyperic.hq.appdef.server.session.AppdefSessionEJB
              org.hyperic.hq.appdef.server.session.CloningBossEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean, CloningBossInterface

    public class CloningBossEJBImpl

extends AppdefSessionEJB
implements CloningBossInterface, javax.ejb.SessionBean

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.appdef.server.session.AppdefSessionEJB
`_ctx, _ic, log`

Constructor Summary
`CloningBossEJBImpl()`

Method Summary
`void` | `clonePlatform(AuthzSubject subj, java.lang.Integer platformId, java.util.List cloneTargetIds)`
`void` | `clonePlatform(AuthzSubject subj, Platform master, Platform clone)`
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`java.util.List` | `findPlatformsByTypeAndName(AuthzSubject subj, java.lang.Integer pType, java.lang.String nameRegEx)`
`static CloningBossInterface` | `getOne()`

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefSessionEJB
`changeOwner, checkAIScanPermission, checkAlertingPermission, checkAlertingScope, checkControlPermission, checkCreateChildPermission, checkCreatePlatformPermission, checkModifyPermission, checkMonitorPermission, checkPermission, checkPermission, checkRemovePermission, checkViewPermission, createAuthzResource, createAuthzResource, deleteCustomProperties, filterResourceTypes, filterViewableServers, getApplicationPrototypeResourceType, getApplicationResourceType, getAuthzResourceType, getGroupResourceType, getInitialContext, getOperationByName, getOverlord, getPlatformPrototypeResourceType, getPlatformResourceType, getResourcePermissions, getResourceType, getRootResourceType, getServerPrototypeResourceType, getServerResourceType, getServiceCluster, getServicePrototypeResourceType, getServiceResourceType, getSessionContext, getViewableApplications, getViewableGroups, getViewablePlatformPKs, getViewablePlatforms, getViewableServers, getViewableServiceInventory, getViewableServices, removeAuthzResource, rollback, setSessionContext`

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefSessionUtil
`findResourceType, findResourceType, getAgentDAO, getAIQManagerLocal, getApplicationDAO, getApplicationManager, getConfigManager, getConfigResponseDAO, getCPropManager, getPlatformDAO, getPlatformManager, getPlatformTypeDAO, getResourceManager, getServerDAO, getServerManager, getServerTypeDAO, getServiceDAO, getServiceManager, getServiceTypeDAO`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.ejb.SessionBean
`setSessionContext`

Constructor Detail

### CloningBossEJBImpl

    public CloningBossEJBImpl()

Method Detail

### findPlatformsByTypeAndName

    public java.util.List findPlatformsByTypeAndName(AuthzSubject subj,
                                                     java.lang.Integer pType,
                                                     java.lang.String nameRegEx)

  Specified by:
    `findPlatformsByTypeAndName` in interface `CloningBossInterface`
  Parameters:
    `subj` -
    `pType` - platform type
    `nameRegEx` - regex which matches either the platform fqdn or the resource sortname

### clonePlatform

    public void clonePlatform(AuthzSubject subj,
                              java.lang.Integer platformId,
                              java.util.List cloneTargetIds)
                       throws SessionNotFoundException,
                              SessionTimeoutException,
                              SessionException,
                              PermissionException,
                              PlatformNotFoundException

  Specified by:
    `clonePlatform` in interface `CloningBossInterface`
  Parameters:
    `subj` - Method ensures that the master platform has viewable permissions and the clone targets have modifiable permissions.
    `platformId` - master platform id
    `cloneTaretIds` - List List of Platform Ids to be cloned
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `SessionException`
    `PermissionException`
    `PlatformNotFoundException`

### clonePlatform

    public void clonePlatform(AuthzSubject subj,
                              Platform master,
                              Platform clone)
                       throws AppdefEntityNotFoundException,
                              ConfigFetchException,
                              PermissionException,
                              javax.ejb.FinderException,
                              javax.ejb.CreateException,
                              javax.naming.NamingException,
                              SessionNotFoundException,
                              SessionTimeoutException,
                              SessionException,
                              VetoException,
                              AppdefDuplicateNameException,
                              ValidationException,
                              GroupNotCompatibleException,
                              UpdateException,
                              EncodingException

  Specified by:
    `clonePlatform` in interface `CloningBossInterface`
  Throws:
    `AppdefEntityNotFoundException`
    `ConfigFetchException`
    `PermissionException`
    `javax.ejb.FinderException`
    `javax.ejb.CreateException`
    `javax.naming.NamingException`
    `SessionNotFoundException`
    `SessionTimeoutException`
    `SessionException`
    `VetoException`
    `AppdefDuplicateNameException`
    `ValidationException`
    `GroupNotCompatibleException`
    `UpdateException`
    `EncodingException`

### getOne

    public static CloningBossInterface getOne()

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  Throws:
    `javax.ejb.CreateException`

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException,
                            java.rmi.RemoteException

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`
  Throws:
    `javax.ejb.EJBException`
    `java.rmi.RemoteException`

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException,
                             java.rmi.RemoteException

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`
  Throws:
    `javax.ejb.EJBException`
    `java.rmi.RemoteException`

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException,
                          java.rmi.RemoteException

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`
  Throws:
    `javax.ejb.EJBException`
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.